> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Get third party configuration

> Retrieve the third party configuration settings.



## OpenAPI

````yaml /openapi/admin.json get /third-party-config
openapi: 3.1.0
info:
  title: Nudj Admin API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/admin
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security:
  - ApiToken: []
paths:
  /third-party-config:
    get:
      tags:
        - Third Party Config
      summary: Get third party configuration
      description: Retrieve the third party configuration settings.
      operationId: getThirdPartyConfig
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThirdPartyConfig'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    ThirdPartyConfig:
      type: object
      properties:
        googleTagManager:
          oneOf:
            - $ref: '#/components/schemas/GoogleTagManagerConfig'
            - type: 'null'
        googleAnalytics:
          oneOf:
            - $ref: '#/components/schemas/GoogleAnalyticsConfig'
            - type: 'null'
        metaPixel:
          oneOf:
            - $ref: '#/components/schemas/MetaPixelConfig'
            - type: 'null'
        oneTrust:
          oneOf:
            - $ref: '#/components/schemas/OneTrustConfig'
            - type: 'null'
        shopify:
          oneOf:
            - $ref: '#/components/schemas/ShopifyConfig'
            - type: 'null'
      title: Third Party Configuration
      description: Third party integration settings
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
    GoogleTagManagerConfig:
      type: object
      properties:
        gtmId:
          type: string
          description: Google Tag Manager container identifier
      required:
        - gtmId
      title: Google Tag Manager Configuration
      description: Google Tag Manager integration settings
    GoogleAnalyticsConfig:
      type: object
      properties:
        gaId:
          type: string
          description: Google Analytics tracking identifier
      required:
        - gaId
      title: Google Analytics Configuration
      description: Google Analytics integration settings
    MetaPixelConfig:
      type: object
      properties:
        pixelId:
          type: string
          description: Meta Pixel identifier
      required:
        - pixelId
      title: Meta Pixel Configuration
      description: Meta Pixel integration settings
    OneTrustConfig:
      type: object
      properties:
        domainScriptId:
          type: string
          description: OneTrust domain script identifier
      required:
        - domainScriptId
      title: OneTrust Configuration
      description: OneTrust integration settings
    ShopifyConfig:
      type: object
      properties:
        shopDomain:
          type:
            - string
            - 'null'
          description: Shopify shop domain URL (e.g. https://<shop-name>.myshopify.com)
        isConnectionActive:
          type: boolean
          description: Whether Shopify connection is active
      required:
        - isConnectionActive
      title: Shopify Configuration
      description: Shopify integration settings
  securitySchemes:
    ApiToken:
      type: apiKey
      in: header
      name: x-api-token

````